# Update Sender

### Updates a Sender.

```http
PUT https://api.cm.com/messages/v1/accounts/{accountId}/senders/{senderId}
```

#### Parameters

| Type     | Name                          | Description     | Schema        |
| -------- | ----------------------------- | --------------- | ------------- |
| **Path** | **accountId**  <br>*required* | The accountId.  | string (uuid) |
| **Path** | **senderId**  <br>*required*  | The identifier. | string (uuid) |

#### Body parameter

The sender.

*Name* : senderPreset\
*Flags* : required\
*Type* : [CM.Platform.Campaigns.Models.ApiSenderPresetRequest](/mobile-marketing-cloud/docs/object-definitions#cmplatformcampaignsmodelsapisenderpresetrequest)

#### Responses

| HTTP Code | Description | Schema                                                                                                                                                   |
| --------- | ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **200**   | OK          | [CM.Platform.Campaigns.Models.ApiSenderPresetResponse](/mobile-marketing-cloud/docs/object-definitions#cmplatformcampaignsmodelsapisenderpresetresponse) |

#### Example HTTP request

##### Request path

```
https://api.cm.com/messages/v1/accounts/00000000-0000-0000-0000-000000000000/senders/00000000-0000-0000-0000-000000000000
```

##### Request body

```json
{
  "isFavorite" : true,
  "name" : "string",
  "senders" : {
    "string" : "string"
  }
}
```

#### Example HTTP response

##### Response 200

```json
{
  "id" : "00000000-0000-0000-0000-000000000000",
  "isFavorite" : true,
  "name" : "string",
  "senders" : {
    "string" : "string"
  }
}
```